## org.biojava.bio.dp
Class DP.ReverseIterator

    java.lang.Object
      |
      +--org.biojava.bio.dp.DP.ReverseIterator

Enclosing class:
  DP

public static class DP.ReverseIterator
extends java.lang.Object
implements java.util.Iterator, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`DP.ReverseIterator(SymbolList res)`

Method Summary
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DP.ReverseIterator

    public DP.ReverseIterator(SymbolList res)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    hasNext in interface java.util.Iterator

### next

    public java.lang.Object next()

  Specified by:
    next in interface java.util.Iterator

### remove

    public void remove()
                throws java.lang.UnsupportedOperationException

  Specified by:
    remove in interface java.util.Iterator